%global posttag g
%global debian_release 6

Name:       man2html
Version:    1.6
Release:    2%{?dist}
Summary:    Convert man pages to HTML - CGI scripts

License:    GPLv2+ and GPL+ and Copyright only

URL:        http://www.kapiti.co.nz/michael/vhman2html.html
Source0:    http://primates.ximian.com/~flucifredi/man/man-%{version}%{posttag}.tar.gz

Source1:    http://ftp.de.debian.org/debian/pool/main/m/man2html/man2html_%{version}%{posttag}-%{debian_release}.debian.tar.gz

Source2:    man2html.conf


Patch1001:  man2html-hman-bashism.patch

Patch1002:  man2html-relative-links.patch

Patch1013:  man2html-file-link.patch

Patch1017:  man2html-see-also-hman.patch

Patch1018:  man2html-quotes.patch

Patch1019:  man2html-noindex-segfault.patch

Patch1020:  man2html-escape-N.patch

Patch1022:  man2html-it-typo.patch

Patch1023:  man2html-double-quotes.patch

Patch1025:  man2html-all-args.patch

Patch1026:  man2html-macro-longnames.patch

Patch1027:  man2html-macro-priority.patch

Patch1028:  man2html-groff-segfault.patch

Patch1029:  man2html-new-macros.patch

Patch1031:  man2html-BR-empty-line.patch

Patch1033:  man2html-gcc-warnings.patch


Patch1:  man2html-paths.patch

Patch2:  man2html-ungzip.patch
Patch3:  man2html-ungzip-makefile.patch

Patch4:  man2html-cgi.patch

Patch5:  man2html-hman.patch

Patch6:  man2html-doc.patch

Patch7:  man2html-format.patch

Patch8:  man2html-hman-section.patch

Patch9:  man2html-localized-manpage-paths.patch

Patch10: man2html-suffixes.patch

Patch11: man2html-configure-c99.patch
Patch12: man2html-c99.patch

Patch13: man2html-CVE-2021-40647.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  recode

Requires:   %{name}-core = %{version}-%{release}
Requires:   httpd

%description
man2html is a man page to HTML converter.

This package contains CGI scripts that allow you to view, browse, and search
man pages using a web server.


%package core
Summary:  Convert man pages to HTML

%description core
man2html is a man page to HTML converter.

This package contains the man2html executable.


%prep
%setup -q -n man-%{version}%{posttag} -a1

for p in %{patches}; do
    patch -p1 -i $p
done


%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;

./configure -d +fhs
make %{?_smp_mflags}

cd debian/sources
make %{?_smp_mflags}


%install
make -C man2html DESTDIR=%{buildroot} install install-hman

make -C debian/sources PREFIX=%{buildroot} install

install -Dpm0644 man2html/locales/fr/man2html.1 %{buildroot}%{_mandir}/fr/man1/man2html.1
install -Dpm0644 man2html/locales/it/man2html.1 %{buildroot}%{_mandir}/it/man1/man2html.1
install -Dpm0644 man2html/locales/it/hman.1 %{buildroot}%{_mandir}/it/man1/hman.1

recode latin1..utf8 \
    %{buildroot}%{_mandir}/fr/man1/man2html.1 \
    %{buildroot}%{_mandir}/it/man1/man2html.1 \
    %{buildroot}%{_mandir}/it/man1/hman.1 

install -Dpm0644 %SOURCE2 %{buildroot}%{_sysconfdir}/httpd/conf.d/man2html.conf

mkdir -p %{buildroot}%{_localstatedir}/cache/man2html


%post
rm -f %{_localstatedir}/cache/man2html/* || :


%files
%attr(0755,-,-) %{_bindir}/hman
%{_prefix}/lib/man2html/
%attr(0775,root,apache) %{_localstatedir}/cache/man2html
%config(noreplace) %{_sysconfdir}/httpd/conf.d/man2html.conf
%{_mandir}/man1/hman.1.*


%files core
%{_bindir}/man2html
%{_mandir}/man1/man2html.1.*
%{_mandir}/*/man1/*.1.*
%doc COPYING HISTORY man2html/README man2html/TODO


%changelog
* Wed Feb 26 2025 Doris Chao <doriscchao@tencent.com> - 1.6-2
- [Type] security
- [DESC] Add Patch to fix CVE-2021-40647.

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-1
- initial build
